Package Details: python2-scitools 0.9.0-5

Git Clone URL: https://aur.archlinux.org/python2-scitools.git (read-only)
Package Base: python2-scitools
Description: python library for scientific computing
Upstream URL: https://github.com/hplgit/scitools
Licenses: custom:BSD Simplified
Submitter: pougnet
Maintainer: valandil
Last Packager: valandil
Votes: 4
Popularity: 0.000000
First Submitted: 2013-01-27 05:19
Last Updated: 2015-06-11 20:18

Latest Comments

doblerone commented on 2015-05-26 18:49

It works now. Thanks for being so fast!

valandil commented on 2015-05-26 18:27

Should work now.

doblerone commented on 2015-05-26 18:16

I'm trying to compile this package but it fails when trying to validate scitools-0.9.0.tar.gz with sha512sums.
It says that one or more files could not pass the validation check.

valandil commented on 2014-06-03 01:23

PKGBUILD updated so that the installation works fine.

valandil commented on 2014-05-22 19:47

I contact the mailing list. I'll take over if the package is disowned.

ReedWood commented on 2014-05-20 11:25

@valandil
Your build worked for me. You can approach the current maintainer via the aur mailing list "Discussion about the Arch User Repository (AUR)" <aur-general@archlinux.org> and ask for the packages. In general, if the owner does not respond within two weeks, you can take the package over.

valandil commented on 2014-05-16 17:47

Here's an updated PKGBUILD that builds, installs the package in the python2.7 path and complies with the newest requirements.

If you do not want to maintain the package anymore, I'd be glad to take over.

https://gist.github.com/valandil/5c30fbf86dde61e8607d

ReedWood commented on 2013-10-02 15:39

As noorac mentions, the packages build w/o errors, but does not install the file to /usr/lib/python2.7/site-packages/scitools/. Hence, this step must be performed manually (python2 setup.py install somewhere down in tmp). This works well, but the installed files are not owned by the packages.

Request: Please perform the installation step.

Anonymous comment on 2013-07-25 10:51

Thanks pougnet. The pkgbuild worked without errors now. Still though, after running it, i tried "sudo find -name scitools" from / and it was only placed in /tmp folders. I ventured into the folders to find the "setup.py" file(in the tmp folders) and ran "python2 setup.py install", works fine now. Not sure if that is by design or not, anyways thanks.

pougnet commented on 2013-07-24 22:54

Fixed build problem discovered by noorac

Anonymous comment on 2011-03-29 19:02

thanks for flagging it out of date, i changed it to python2, as well as, the new version.

Pank commented on 2011-03-29 14:45

it should use python2